Get Deployment
GET/accounts/{account_id}/workers/scripts/{script_name}/deployments/{deployment_id}
Get information about a Worker Deployment.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Path Parameters
Get Deployment
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/workers/scripts/$SCRIPT_NAME/deployments/$DEPLOYMENT_ID \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"created_on": "2019-12-27T18:11:19.117Z",
"source": "api",
"strategy": "percentage",
"versions": [
{
"percentage": 100,
"version_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
}
],
"annotations": {
"workers/message": "Deploy bug fix.",
"workers/triggered_by": "deployment"
},
"author_email": "dev@stainless.com"
},
"success": true
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"created_on": "2019-12-27T18:11:19.117Z",
"source": "api",
"strategy": "percentage",
"versions": [
{
"percentage": 100,
"version_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
}
],
"annotations": {
"workers/message": "Deploy bug fix.",
"workers/triggered_by": "deployment"
},
"author_email": "dev@stainless.com"
},
"success": true
}